%define reltag 20250415

Name:          schismtracker
Version:       %{reltag}
Release:       %mkrel 1
Summary:       Schism Tracker is a free and open-source reimplementation of Impulse Tracker
Group:         Sound/Utilities
License:       GPLv2

URL:           https://schismtracker.org/
Source0:       https://github.com/schismtracker/%{name}/archive/%{reltag}/%{name}-%{reltag}.tar.gz
Source1:       schism.desktop

# from opensuse
#
BuildRequires: pkgconfig(alsa)
BuildRequires: pkgconfig(ice)
BuildRequires: pkgconfig(libutf8proc)
BuildRequires: pkgconfig(sdl2)
BuildRequires: pkgconfig(xt)
BuildRequires: pkgconfig(xv)
BuildRequires: git


%description
Schism Tracker is a free and open-source reimplementation of
Impulse Tracker, a program used to create high quality music
without the requirements of specialized, expensive equipment,
and with a unique "finger feel" that is difficult to replicate
in part. The player is based on a highly modified version of the
ModPlug engine, with a number of bug fixes and changes to improve
IT playback.
The songs for Schism Tracked are called modules. There is
modarchive.org site with thousandths of modules, which you can
listen and take the samples/instruments for the first time.


%prep
%autosetup -p1 -n %{name}-%{reltag}

%build
autoreconf -fiv
%configure
%make_build


%install
%make_install

# override the default .desktop file as it contains entries identified as
# invalid by the rpm's spec-helper/check_desktop_files.
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/applications/schism.desktop

%files
%license COPYING
%doc README.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/applications/schism.desktop
%{_datadir}/pixmaps/schism-icon-128.png


%changelog
* Fri May 09 2025 daviddavid <daviddavid> 20250415-1.mga10
+ Revision: 2182098
- new version: 20250415

* Tue Feb 04 2025 papoteur <papoteur> 20250202-1.mga10
+ Revision: 2145157
- new version 20250202

* Sun Jun 16 2024 daviddavid <daviddavid> git20240609-1.mga10
+ Revision: 2074528
- new version: 20240609

* Fri Nov 18 2022 ghibo <ghibo> git20221020-1.mga9
+ Revision: 1908653
- Update to release git 20221020 to fix build fail.
- Use external .desktop file.
- Merge patchset from opensuse to use default alsa instead of hw.
- Add patch to create auto dir during building to avoid fail.
- use only autoreconf before configure.
- Adjust BuildRequires.
- Fix files list.

* Mon Mar 14 2022 umeabot <umeabot> git20180810-3.mga9
+ Revision: 1791000
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> git20180810-2.mga8
+ Revision: 1488948
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 02 2018 semiletov <semiletov> git20180810-1.mga7
+ Revision: 1256296
- update to the upstream release

* Sun Mar 18 2018 semiletov <semiletov> git20180209-1.mga7
+ Revision: 1210266
- update to upstream; spec fixes

* Mon Feb 05 2018 semiletov <semiletov> git20170910-2.mga7
+ Revision: 1199136
+ rebuild (emptylog)

* Fri Dec 22 2017 semiletov <semiletov> git20170910-1.mga7
+ Revision: 1183892
- imported package schismtracker

